#ifndef BODY_HH
#define BODY_HH

template <int dimension> struct Body {
  using ScalarFunction = Dune::VirtualFunction<
      Dune::FieldVector<double, dimension>, Dune::FieldVector<double, 1>>;
  using VectorField =
      Dune::VirtualFunction<Dune::FieldVector<double, dimension>,
                            Dune::FieldVector<double, dimension>>;

  double virtual getPoissonRatio() const = 0;

  double virtual getYoungModulus() const = 0;

  double virtual getShearViscosity() const = 0;
  double virtual getBulkViscosity() const = 0;

  double virtual getDensity() const = 0;
  double virtual getGravity() const = 0;
};

#endif
